List a survey's responses
curl --request GET \
--url https://manuscript.example.com/api/v1/surveys/{Id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://manuscript.example.com/api/v1/surveys/{Id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://manuscript.example.com/api/v1/surveys/{Id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"items": [
{
"id": "<string>",
"user": "<string>",
"submitted": "2023-11-07T05:31:56Z",
"questions": [
{
"question": "<string>",
"rating": 123,
"answer": "<string>"
}
]
}
],
"page": 123,
"pageSize": 123,
"totalCount": 123,
"hasNextPage": true,
"hasPreviousPage": true
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"errors": [
{
"code": "<string>",
"description": "<string>",
"type": 123
}
],
"traceId": "<string>"
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"errors": [
{
"code": "<string>",
"description": "<string>",
"type": 123
}
],
"traceId": "<string>"
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"errors": [
{
"code": "<string>",
"description": "<string>",
"type": 123
}
],
"traceId": "<string>"
}List a survey's responses
Paged responses for one survey, filterable by From and To dates.
GET
/
api
/
v1
/
surveys
/
{Id}
List a survey's responses
curl --request GET \
--url https://manuscript.example.com/api/v1/surveys/{Id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://manuscript.example.com/api/v1/surveys/{Id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://manuscript.example.com/api/v1/surveys/{Id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"items": [
{
"id": "<string>",
"user": "<string>",
"submitted": "2023-11-07T05:31:56Z",
"questions": [
{
"question": "<string>",
"rating": 123,
"answer": "<string>"
}
]
}
],
"page": 123,
"pageSize": 123,
"totalCount": 123,
"hasNextPage": true,
"hasPreviousPage": true
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"errors": [
{
"code": "<string>",
"description": "<string>",
"type": 123
}
],
"traceId": "<string>"
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"errors": [
{
"code": "<string>",
"description": "<string>",
"type": 123
}
],
"traceId": "<string>"
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"errors": [
{
"code": "<string>",
"description": "<string>",
"type": 123
}
],
"traceId": "<string>"
}